@font-face {
    /* font-family: ubuntu; */
    /* src: url('res/Ubuntu-L.ttf'); */
}

html {
	font-size: calc(15px + 0.390625vw);
}

body {
    background-color: #4a82d9;
    /* color: #d02020; */
    margin: none;
    padding: 1%;
    background-image: url('res/jeffrika7b.mounted.jpg');
    /* background-repeat: repeat; */
    background-size: contain;
    background-position: top left;
    background-attachment: scroll;
    font-family: ubuntu, "Avant Garde", sans-serif;
}

h1 {
	clear: both;
}

h2 {
	clear: both;
}

hr {
	clear: both;
    background-color: #000000;
	border-color: #208020;
	color: #008000;
}

pre {
	color: #ff0000;
	font-family: Glass, "Avant Garde", sans-serif;
}

a {
    color: #008000;
    text-decoration: underline;
	font-weight: bold;
}

a:hover {
    color: #006020;
    text-decoration: underline;
}

a:visited {
    color: #208000;
}

li {
	padding: 0.25em;
}

#mainpage {
	margin: 2% 2% 150% 2%;
	border: solid transparent;
	border-radius: 25px;
	box-shadow: 10px 10px 10px #222222;
	background-color: #FFFFFF;
	background-opacity: 0.9;
	padding: 1em;
	background-color: #f7f4ed;
	overflow-y: auto;
	display: flex;
	flex-direction: column;
}

#footer {
	margin: 2% 25% 2% 25%;
	border: solid transparent;
	opacity: 0.4;
	border-radius: 25px;
	box-shadow: 10px 10px 10px #222222;
	background-color: #FFFFFF;
	background-opacity: 0.9;
	padding: 1em;
}

floatr {
	float: right;
}

figure {
	width: 20%;
  min-width: 4cm;
	z-index: 0;
  float: left;
  Xclear: right;
  margin: 5px 20px 5px 20px;
  background: #F5F5F5;
  border: 10px solid #F5F5F5;
  -webkit-box-shadow: 0 3px 10px #ccc;
  -moz-box-shadow: 0 3px 10px #ccc;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -webkit-transition: all 0.7s ease;
  -moz-transition: all 1s ease;
  position: relative;
  text-align: center;
}

figure img {
	width: 100%;
}

figure.landscape img {
	width: 100%;
}

figure.portrait img {
	width: 56%;
}

figure.left {
	float: left;
	Xclear: right;
}

figure.right {
	float: right;
	Xclear: left;
}

p.withfig::first-letter {
	font-size: 1.2rem;
	font-weight: bold;
}


figcaption {
  text-align: center;
  display: block;
  font-size: 0.8rem;
  font-style: italic;
}


figure:hover {
  -webkit-transform: rotate(5deg) scale(1.05); -moz-transform: rotate(5deg) scale(1.05);
  -webkit-box-shadow: 0 3px 10px #666; -moz-box-shadow: 0 3px 10px #666;
  z-index: 9999;
}


figure:focus {
	margin: 2% 2% 2% 2%;
	min-width: 2cm;
  width: 75vmin;
  outline: none;
  -webkit-transform-origin: center center 0;
  transform-origin: center center 0;
  -webkit-transform: rotate(0deg) scale(1.0); -moz-transform: rotate(0deg) scale(1.0);
  -webkit-box-shadow: 0 3px 10px #666; -moz-box-shadow: 0 3px 10px #666;
  z-index: 9999;
}

.day {
	NOPEoverflow: auto;
}
.day::after {
  content: "";
  clear: both;
  display: table;
}


.recipe {
     background: #ffefdc;
     margin: 2% 2% 2% 2%;
     border: solid #0000;
     border-radius: 25px;
     padding: 1em;
	 clear: both;
}

.neccode {
     background: #ffefdc;
     margin: 2% 2% 2% 2%;
     border: solid #0000;
     border-radius: 25px;
     padding: 1em;
	 clear: both;
	 height: 15em;
	 overflow: scroll;
}

#build li {
	clear: both;
	font-size: 1.5rem;
	font-weight: bold;
}
